from PyQt5 import QtCore, QtWidgets

from summer.QtDesignerFiles.FlowLayout import FlowLayout


class SaleWindowQt(object):
    def setupUi(self, SaleWindow):
        SaleWindow.setObjectName("SaleWindow")
        SaleWindow.resize(1024, 768)
        self.centralwidget = QtWidgets.QWidget(SaleWindow)
        self.centralwidget.setObjectName("centralwidget")

        self.tableView = QtWidgets.QTableView(self.centralwidget)
        self.tableView.setGeometry(QtCore.QRect(10, 10, 400, 550))
        self.tableView.setObjectName("tableView")

        self.abWidget = QtWidgets.QWidget(self.centralwidget)
        self.abWidget.setGeometry(QtCore.QRect(10, 620, 1004, 140))
        self.abWidget.setObjectName("abWidget")
        self.flActions = FlowLayout(self.abWidget)
        self.flActions.setContentsMargins(0, 0, 0, 0)
        self.flActions.setObjectName("flActions")

        self.verticalLayoutWidget = QtWidgets.QWidget(self.centralwidget)
        self.verticalLayoutWidget.setGeometry(QtCore.QRect(909, 10, 101, 641))
        self.verticalLayoutWidget.setObjectName("verticalLayoutWidget")
        self.vlGroups = QtWidgets.QVBoxLayout(self.verticalLayoutWidget)
        self.vlGroups.setContentsMargins(0, 0, 0, 0)
        self.vlGroups.setObjectName("vlGroups")
        self.pushButton_9 = QtWidgets.QPushButton(self.verticalLayoutWidget)
        self.pushButton_9.setObjectName("pushButton_9")
        self.vlGroups.addWidget(self.pushButton_9)
        self.pushButton_8 = QtWidgets.QPushButton(self.verticalLayoutWidget)
        self.pushButton_8.setObjectName("pushButton_8")
        self.vlGroups.addWidget(self.pushButton_8)

        self.mbWidget = QtWidgets.QWidget(self.centralwidget)
        self.mbWidget.setGeometry(QtCore.QRect(420, 10, 510, 550))
        self.mbWidget.setObjectName("mbWidget")
        self.flMainButtons = FlowLayout(self.mbWidget)
        self.flMainButtons.setContentsMargins(0, 0, 0, 0)
        self.flMainButtons.setObjectName("flMainButtons")

        SaleWindow.setCentralWidget(self.centralwidget)
        self.statusbar = QtWidgets.QStatusBar(SaleWindow)
        self.statusbar.setObjectName("statusbar")
        SaleWindow.setStatusBar(self.statusbar)

        self.retranslateUi(SaleWindow)
        QtCore.QMetaObject.connectSlotsByName(SaleWindow)

    def retranslateUi(self, SaleWindow):
        _translate = QtCore.QCoreApplication.translate
        SaleWindow.setWindowTitle(_translate("SaleWindow", "MainWindow"))
        self.pushButton_9.setText(_translate("SaleWindow", "PushButton"))
        self.pushButton_8.setText(_translate("SaleWindow", "PushButton"))

    def add_action(self, button, title, action):
        act = QtWidgets.QPushButton(self.horizontalLayoutWidget)
        act.setObjectName(button)
        act.clicked.connect(action)
        act.setText(title)
        self.flActions.addWidget(act)
        self.actions[button] = act

    def remove_action(self, button):
        if button in self.actions:
            del self.actions[button]
